summaryrefslogtreecommitdiffstats
path: root/conf
diff options
context:
space:
mode:
authorIan Taylor <ian@lorf.org>2009-06-05 12:38:35 -0400
committerJames Turnbull <james@lovedthanlost.net>2009-06-06 09:11:28 +1000
commit41ce18cc8ea239d1633fc6cd9e9f599957a82e74 (patch)
tree9d398b4e3e6d726a174b5b57094c7dd6749ccf0e /conf
parentf3b40923605420f774dac298fb1708de180c0a81 (diff)
downloadpuppet-41ce18cc8ea239d1633fc6cd9e9f599957a82e74.tar.gz
puppet-41ce18cc8ea239d1633fc6cd9e9f599957a82e74.tar.xz
puppet-41ce18cc8ea239d1633fc6cd9e9f599957a82e74.zip
Changed tabs to spaces without interfering with indentation or alignment
Diffstat (limited to 'conf')
-rwxr-xr-xconf/gentoo/init.d/puppetmaster60
-rw-r--r--conf/osx/PackageInfo.plist60
-rw-r--r--conf/redhat/client.init78
-rw-r--r--conf/redhat/server.init74
-rw-r--r--conf/solaris/smf/puppetd.xml104
-rw-r--r--conf/solaris/smf/puppetmasterd.xml104
-rwxr-xr-xconf/solaris/smf/svc-puppetd4
-rwxr-xr-xconf/solaris/smf/svc-puppetmasterd4
-rw-r--r--conf/suse/client.init6
-rw-r--r--conf/suse/puppet.spec10
-rw-r--r--conf/suse/server.init32
11 files changed, 268 insertions, 268 deletions
diff --git a/conf/gentoo/init.d/puppetmaster b/conf/gentoo/init.d/puppetmaster
index 438ac21e8..9a48754a2 100755
--- a/conf/gentoo/init.d/puppetmaster
+++ b/conf/gentoo/init.d/puppetmaster
@@ -3,49 +3,49 @@
# Distributed under the terms of the GNU General Public License v2
depend() {
- need net
- before puppet
- use dns logger
+ need net
+ before puppet
+ use dns logger
}
checkconfig() {
- if [[ ! -d "${PUPPETMASTER_PID_DIR}" ]] ; then
- eerror "Please make sure PUPPETMASTER_PID_DIR is defined and points to a existing directory"
- return 1
- fi
+ if [[ ! -d "${PUPPETMASTER_PID_DIR}" ]] ; then
+ eerror "Please make sure PUPPETMASTER_PID_DIR is defined and points to a existing directory"
+ return 1
+ fi
- local site_manifest="/etc/puppet/manifests/site.pp"
- [[ -n "${PUPPETMASTER_MANIFEST}" ]] && site_manifest="${PUPPETMASTER_MANIFEST}"
+ local site_manifest="/etc/puppet/manifests/site.pp"
+ [[ -n "${PUPPETMASTER_MANIFEST}" ]] && site_manifest="${PUPPETMASTER_MANIFEST}"
- if [ ! -f "${site_manifest}" ] ; then
- eerror "Please create ${site_manifest} before running puppet"
- return 1
- fi
+ if [ ! -f "${site_manifest}" ] ; then
+ eerror "Please create ${site_manifest} before running puppet"
+ return 1
+ fi
- return 0
+ return 0
}
start() {
- checkconfig || return $?
+ checkconfig || return $?
- local options=""
- [[ -n "${PUPPETMASTER_MANIFEST}" ]] && options="${options} --manifest=${PUPPETMASTER_MANIFEST}"
- [[ -n "${PUPPETMASTER_LOG}" ]] && options="${options} --logdest=${PUPPETMASTER_LOG}"
- [[ -n "${PUPPETMASTER_EXTRA_OPTS}" ]] && options="${options} ${PUPPETMASTER_EXTRA_OPTS}"
+ local options=""
+ [[ -n "${PUPPETMASTER_MANIFEST}" ]] && options="${options} --manifest=${PUPPETMASTER_MANIFEST}"
+ [[ -n "${PUPPETMASTER_LOG}" ]] && options="${options} --logdest=${PUPPETMASTER_LOG}"
+ [[ -n "${PUPPETMASTER_EXTRA_OPTS}" ]] && options="${options} ${PUPPETMASTER_EXTRA_OPTS}"
- ebegin "Starting puppetmaster"
- start-stop-daemon --start --quiet --exec /usr/bin/ruby /usr/bin/puppetmasterd \
- -- ${options}
- eend $? "Failed to start puppetmaster"
+ ebegin "Starting puppetmaster"
+ start-stop-daemon --start --quiet --exec /usr/bin/ruby /usr/bin/puppetmasterd \
+ -- ${options}
+ eend $? "Failed to start puppetmaster"
}
stop() {
- ebegin "Stopping puppetmaster"
- start-stop-daemon --stop --quiet \
- --pidfile ${PUPPETMASTER_PID_DIR}/puppetmasterd.pid
- local ret=$?
- eend ${ret} "Failed to stop puppetmaster"
- rm -f ${PUPPETMASTER_PID_DIR}/puppetmasterd.pid
- return ${ret}
+ ebegin "Stopping puppetmaster"
+ start-stop-daemon --stop --quiet \
+ --pidfile ${PUPPETMASTER_PID_DIR}/puppetmasterd.pid
+ local ret=$?
+ eend ${ret} "Failed to stop puppetmaster"
+ rm -f ${PUPPETMASTER_PID_DIR}/puppetmasterd.pid
+ return ${ret}
}
diff --git a/conf/osx/PackageInfo.plist b/conf/osx/PackageInfo.plist
index 9706a80a6..08930e1ab 100644
--- a/conf/osx/PackageInfo.plist
+++ b/conf/osx/PackageInfo.plist
@@ -2,35 +2,35 @@
<!DOCTYPE plist PUBLIC "-//Apple//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
<plist version="1.0">
<dict>
- <key>CFBundleIdentifier</key>
- <string>com.reductivelabs.puppet</string>
- <key>CFBundleShortVersionString</key>
- <string>{SHORTVERSION}</string>
- <key>IFMajorVersion</key>
- <integer>{MAJORVERSION}</integer>
- <key>IFMinorVersion</key>
- <integer>{MINORVERSION}</integer>
- <key>IFPkgFlagAllowBackRev</key>
- <false/>
- <key>IFPkgFlagAuthorizationAction</key>
- <string>RootAuthorization</string>
- <key>IFPkgFlagDefaultLocation</key>
- <string>/</string>
- <key>IFPkgFlagFollowLinks</key>
- <true/>
- <key>IFPkgFlagInstallFat</key>
- <false/>
- <key>IFPkgFlagIsRequired</key>
- <false/>
- <key>IFPkgFlagOverwritePermissions</key>
- <false/>
- <key>IFPkgFlagRelocatable</key>
- <false/>
- <key>IFPkgFlagRestartAction</key>
- <string>None</string>
- <key>IFPkgFlagRootVolumeOnly</key>
- <true/>
- <key>IFPkgFlagUpdateInstalledLanguages</key>
- <false/>
+ <key>CFBundleIdentifier</key>
+ <string>com.reductivelabs.puppet</string>
+ <key>CFBundleShortVersionString</key>
+ <string>{SHORTVERSION}</string>
+ <key>IFMajorVersion</key>
+ <integer>{MAJORVERSION}</integer>
+ <key>IFMinorVersion</key>
+ <integer>{MINORVERSION}</integer>
+ <key>IFPkgFlagAllowBackRev</key>
+ <false/>
+ <key>IFPkgFlagAuthorizationAction</key>
+ <string>RootAuthorization</string>
+ <key>IFPkgFlagDefaultLocation</key>
+ <string>/</string>
+ <key>IFPkgFlagFollowLinks</key>
+ <true/>
+ <key>IFPkgFlagInstallFat</key>
+ <false/>
+ <key>IFPkgFlagIsRequired</key>
+ <false/>
+ <key>IFPkgFlagOverwritePermissions</key>
+ <false/>
+ <key>IFPkgFlagRelocatable</key>
+ <false/>
+ <key>IFPkgFlagRestartAction</key>
+ <string>None</string>
+ <key>IFPkgFlagRootVolumeOnly</key>
+ <true/>
+ <key>IFPkgFlagUpdateInstalledLanguages</key>
+ <false/>
</dict>
</plist>
diff --git a/conf/redhat/client.init b/conf/redhat/client.init
index 44caab140..114fb1821 100644
--- a/conf/redhat/client.init
+++ b/conf/redhat/client.init
@@ -33,28 +33,28 @@ PUPPET_OPTS=""
##[ -n "$INIT_VERSION" ] && PUPPET_OPTS="${PUPPET_OPTS} --fullrun"
start() {
- echo -n $"Starting puppet: "
- daemon $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS}
- RETVAL=$?
- echo
+ echo -n $"Starting puppet: "
+ daemon $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS}
+ RETVAL=$?
+ echo
[ $RETVAL = 0 ] && touch ${lockfile}
return $RETVAL
}
stop() {
- echo -n $"Stopping puppet: "
- killproc $puppetd
- RETVAL=$?
- echo
- [ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
+ echo -n $"Stopping puppet: "
+ killproc $puppetd
+ RETVAL=$?
+ echo
+ [ $RETVAL = 0 ] && rm -f ${lockfile} ${pidfile}
}
reload() {
- echo -n $"Restarting puppet: "
- killproc $puppetd -HUP
- RETVAL=$?
- echo
- return $RETVAL
+ echo -n $"Restarting puppet: "
+ killproc $puppetd -HUP
+ RETVAL=$?
+ echo
+ return $RETVAL
}
restart() {
@@ -63,40 +63,40 @@ restart() {
}
genconfig() {
- echo -n $"Generate configuration puppet: "
- $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS} --genconfig
+ echo -n $"Generate configuration puppet: "
+ $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS} --genconfig
}
case "$1" in
- start)
- start
- ;;
- stop)
- stop
- ;;
- restart)
- restart
- ;;
- reload|force-reload)
+ start)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ restart
+ ;;
+ reload|force-reload)
reload
- ;;
- condrestart|try-restart)
- [ -f "$pidfile" ] && restart
- ;;
- status)
+ ;;
+ condrestart|try-restart)
+ [ -f "$pidfile" ] && restart
+ ;;
+ status)
status -p "$pidfile" $puppetd
RETVAL=$?
- ;;
- once)
+ ;;
+ once)
shift
$puppetd -o ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS} $@
;;
- genconfig)
- genconfig
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart|once|genconfig}"
- exit 1
+ genconfig)
+ genconfig
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart|once|genconfig}"
+ exit 1
esac
exit $RETVAL
diff --git a/conf/redhat/server.init b/conf/redhat/server.init
index 6871b9a92..48c8e4ed5 100644
--- a/conf/redhat/server.init
+++ b/conf/redhat/server.init
@@ -18,7 +18,7 @@ lockfile=/var/lock/subsys/puppetmaster
. /etc/rc.d/init.d/functions
if [ -f /etc/sysconfig/puppetmaster ]; then
- . /etc/sysconfig/puppetmaster
+ . /etc/sysconfig/puppetmaster
fi
PUPPETMASTER_OPTS=""
@@ -30,7 +30,7 @@ elif [ -n "$PUPPETMASTER_PORTS" ] && [ ${#PUPPETMASTER_PORTS[@]} -eq 1 ]; then
fi
[ -n "$PUPPETMASTER_LOG" ] && PUPPETMASTER_OPTS="${PUPPETMASTER_OPTS} --logdest=${PUPPETMASTER_LOG}"
PUPPETMASTER_OPTS="${PUPPETMASTER_OPTS} \
- ${PUPPETMASTER_EXTRA_OPTS}"
+ ${PUPPETMASTER_EXTRA_OPTS}"
RETVAL=0
@@ -38,10 +38,10 @@ prog=puppetmasterd
PUPPETMASTER=/usr/sbin/$prog
start() {
- echo -n $"Starting puppetmaster: "
+ echo -n $"Starting puppetmaster: "
- # Confirm the manifest exists
- if [ -r $PUPPETMASTER_MANIFEST ]; then
+ # Confirm the manifest exists
+ if [ -r $PUPPETMASTER_MANIFEST ]; then
if [ -n "$PUPPETMASTER_PORTS" ] && [ ${#PUPPETMASTER_PORTS[@]} -gt 1 ]; then
for ((i=0; i<${#PUPPETMASTER_PORTS[@]}; i++)); do
echo -en "\nPort: ${PUPPETMASTER_PORTS[$i]}"
@@ -52,18 +52,18 @@ start() {
daemon $PUPPETMASTER $PUPPETMASTER_OPTS
RETVAL=$?
fi
- else
- failure $"Manifest does not exist: $PUPPETMASTER_MANIFEST"
- echo
- return 1
- fi
- [ $RETVAL -eq 0 ] && touch "$lockfile"
- echo
- return $RETVAL
+ else
+ failure $"Manifest does not exist: $PUPPETMASTER_MANIFEST"
+ echo
+ return 1
+ fi
+ [ $RETVAL -eq 0 ] && touch "$lockfile"
+ echo
+ return $RETVAL
}
stop() {
- echo -n $"Stopping puppetmaster: "
+ echo -n $"Stopping puppetmaster: "
if [ -n "$PUPPETMASTER_PORTS" ] && [ ${#PUPPETMASTER_PORTS[@]} -gt 1 ]; then
for ((i=0; i<${#PUPPETMASTER_PORTS[@]}; i++)); do
echo -en "\nPort: ${PUPPETMASTER_PORTS[$i]}"
@@ -74,9 +74,9 @@ stop() {
killproc $PUPPETMASTER
RETVAL=$?
fi
- echo
- [ $RETVAL -eq 0 ] && rm -f "$lockfile"
- return $RETVAL
+ echo
+ [ $RETVAL -eq 0 ] && rm -f "$lockfile"
+ return $RETVAL
}
restart() {
@@ -97,7 +97,7 @@ puppetmaster_status() {
ret=$?; [ $ret != 0 ] && RETVAL=$ret
done
else
- status $PUPPETMASTER
+ status $PUPPETMASTER
RETVAL=$?
fi
return $RETVAL
@@ -105,26 +105,26 @@ puppetmaster_status() {
case "$1" in
start)
- start
- ;;
- stop)
- stop
- ;;
- restart|reload|force-reload)
+ start
+ ;;
+ stop)
+ stop
+ ;;
+ restart|reload|force-reload)
restart
- ;;
- condrestart)
- [ -f "$lockfile" ] && restart
- ;;
- status)
- puppetmaster_status
- ;;
- genconfig)
- genconfig
- ;;
- *)
- echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart|genconfig}"
- exit 1
+ ;;
+ condrestart)
+ [ -f "$lockfile" ] && restart
+ ;;
+ status)
+ puppetmaster_status
+ ;;
+ genconfig)
+ genconfig
+ ;;
+ *)
+ echo $"Usage: $0 {start|stop|status|restart|reload|force-reload|condrestart|genconfig}"
+ exit 1
esac
exit $RETVAL
diff --git a/conf/solaris/smf/puppetd.xml b/conf/solaris/smf/puppetd.xml
index ad1b45231..4b62bac6d 100644
--- a/conf/solaris/smf/puppetd.xml
+++ b/conf/solaris/smf/puppetd.xml
@@ -7,71 +7,71 @@
<service
- name='network/puppetd'
- type='service'
- version='1'>
+ name='network/puppetd'
+ type='service'
+ version='1'>
- <create_default_instance enabled='true'/>
- <single_instance/>
+ <create_default_instance enabled='true'/>
+ <single_instance/>
- <dependency name='config-file'
- grouping='require_all'
- restart_on='none'
- type='path'>
- <service_fmri value='file:///etc/puppet/puppet.conf'/>
- </dependency>
+ <dependency name='config-file'
+ grouping='require_all'
+ restart_on='none'
+ type='path'>
+ <service_fmri value='file:///etc/puppet/puppet.conf'/>
+ </dependency>
- <dependency name='loopback'
- grouping='require_all'
- restart_on='error'
- type='service'>
- <service_fmri value='svc:/network/loopback:default'/>
- </dependency>
+ <dependency name='loopback'
+ grouping='require_all'
+ restart_on='error'
+ type='service'>
+ <service_fmri value='svc:/network/loopback:default'/>
+ </dependency>
- <dependency name='physical'
- grouping='require_all'
- restart_on='error'
- type='service'>
- <service_fmri value='svc:/network/physical:default'/>
- </dependency>
+ <dependency name='physical'
+ grouping='require_all'
+ restart_on='error'
+ type='service'>
+ <service_fmri value='svc:/network/physical:default'/>
+ </dependency>
- <dependency name='fs-local'
- grouping='require_all'
- restart_on='none'
- type='service'>
- <service_fmri value='svc:/system/filesystem/local'/>
- </dependency>
+ <dependency name='fs-local'
+ grouping='require_all'
+ restart_on='none'
+ type='service'>
+ <service_fmri value='svc:/system/filesystem/local'/>
+ </dependency>
- <exec_method
- type='method'
- name='start'
+ <exec_method
+ type='method'
+ name='start'
exec='/opt/csw/lib/svc/method/svc-puppetd start'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <exec_method
- type='method'
- name='stop'
+ <exec_method
+ type='method'
+ name='stop'
exec='/opt/csw/lib/svc/method/svc-puppetd stop'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <exec_method
- type='method'
- name='refresh'
+ <exec_method
+ type='method'
+ name='refresh'
exec='/opt/csw/lib/svc/method/svc-puppetd reload'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <stability value='Unstable' />
+ <stability value='Unstable' />
- <template>
- <common_name>
- <loctext xml:lang='C'>Puppet Client Daemon</loctext>
- </common_name>
- <documentation>
- <manpage title='puppetd' section='1' />
- <doc_link name='reductivelabs.com'
- uri='http://www.reductivelabs.com/projects/puppet' />
- </documentation>
- </template>
+ <template>
+ <common_name>
+ <loctext xml:lang='C'>Puppet Client Daemon</loctext>
+ </common_name>
+ <documentation>
+ <manpage title='puppetd' section='1' />
+ <doc_link name='reductivelabs.com'
+ uri='http://www.reductivelabs.com/projects/puppet' />
+ </documentation>
+ </template>
</service>
</service_bundle>
diff --git a/conf/solaris/smf/puppetmasterd.xml b/conf/solaris/smf/puppetmasterd.xml
index 17c52916f..b7190eff0 100644
--- a/conf/solaris/smf/puppetmasterd.xml
+++ b/conf/solaris/smf/puppetmasterd.xml
@@ -7,71 +7,71 @@
<service
- name='network/puppetmasterd'
- type='service'
- version='1'>
+ name='network/puppetmasterd'
+ type='service'
+ version='1'>
- <create_default_instance enabled='true'/>
- <single_instance/>
+ <create_default_instance enabled='true'/>
+ <single_instance/>
- <dependency name='config-file'
- grouping='require_all'
- restart_on='none'
- type='path'>
- <service_fmri value='file:///etc/puppet/puppet.conf'/>
- </dependency>
+ <dependency name='config-file'
+ grouping='require_all'
+ restart_on='none'
+ type='path'>
+ <service_fmri value='file:///etc/puppet/puppet.conf'/>
+ </dependency>
- <dependency name='loopback'
- grouping='require_all'
- restart_on='error'
- type='service'>
- <service_fmri value='svc:/network/loopback:default'/>
- </dependency>
+ <dependency name='loopback'
+ grouping='require_all'
+ restart_on='error'
+ type='service'>
+ <service_fmri value='svc:/network/loopback:default'/>
+ </dependency>
- <dependency name='physical'
- grouping='require_all'
- restart_on='error'
- type='service'>
- <service_fmri value='svc:/network/physical:default'/>
- </dependency>
+ <dependency name='physical'
+ grouping='require_all'
+ restart_on='error'
+ type='service'>
+ <service_fmri value='svc:/network/physical:default'/>
+ </dependency>
- <dependency name='fs-local'
- grouping='require_all'
- restart_on='none'
- type='service'>
- <service_fmri value='svc:/system/filesystem/local'/>
- </dependency>
+ <dependency name='fs-local'
+ grouping='require_all'
+ restart_on='none'
+ type='service'>
+ <service_fmri value='svc:/system/filesystem/local'/>
+ </dependency>
- <exec_method
- type='method'
- name='start'
+ <exec_method
+ type='method'
+ name='start'
exec='/opt/csw/lib/svc/method/svc-puppetmasterd start'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <exec_method
- type='method'
- name='stop'
+ <exec_method
+ type='method'
+ name='stop'
exec='/opt/csw/lib/svc/method/svc-puppetmasterd stop'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <exec_method
- type='method'
- name='refresh'
+ <exec_method
+ type='method'
+ name='refresh'
exec='/opt/csw/lib/svc/method/svc-puppetmasterd reload'
- timeout_seconds='60' />
+ timeout_seconds='60' />
- <stability value='Unstable' />
+ <stability value='Unstable' />
- <template>
- <common_name>
- <loctext xml:lang='C'>Puppet Server Daemon</loctext>
- </common_name>
- <documentation>
- <manpage title='puppetmasterd' section='1' />
- <doc_link name='reductivelabs.com'
- uri='http://www.reductivelabs.com/projects/puppet' />
- </documentation>
- </template>
+ <template>
+ <common_name>
+ <loctext xml:lang='C'>Puppet Server Daemon</loctext>
+ </common_name>
+ <documentation>
+ <manpage title='puppetmasterd' section='1' />
+ <doc_link name='reductivelabs.com'
+ uri='http://www.reductivelabs.com/projects/puppet' />
+ </documentation>
+ </template>
</service>
</service_bundle>
diff --git a/conf/solaris/smf/svc-puppetd b/conf/solaris/smf/svc-puppetd
index a89f03f0c..5fbcfe796 100755
--- a/conf/solaris/smf/svc-puppetd
+++ b/conf/solaris/smf/svc-puppetd
@@ -45,8 +45,8 @@ reload)
kill -HUP `cat $pidfile`
- printf " puppetd"
- echo ""
+ printf " puppetd"
+ echo ""
;;
status)
if [ -f $pidfile ]; then
diff --git a/conf/solaris/smf/svc-puppetmasterd b/conf/solaris/smf/svc-puppetmasterd
index e1a8d85bc..20ae85baf 100755
--- a/conf/solaris/smf/svc-puppetmasterd
+++ b/conf/solaris/smf/svc-puppetmasterd
@@ -41,8 +41,8 @@ reload)
kill -HUP `cat $pidfile`
- printf " puppetmasterd"
- echo ""
+ printf " puppetmasterd"
+ echo ""
;;
status)
if [ -f $pidfile ]; then
diff --git a/conf/suse/client.init b/conf/suse/client.init
index 1edd5ef30..d168e8cb4 100644
--- a/conf/suse/client.init
+++ b/conf/suse/client.init
@@ -66,7 +66,7 @@ case "$1" in
# startproc should return 0, even if service is
# already running to match LSB spec.
- startproc $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS} && touch ${lockfile}
+ startproc $puppetd ${PUPPET_OPTS} ${PUPPET_EXTRA_OPTS} && touch ${lockfile}
# Remember status and be verbose
rc_status -v
;;
@@ -112,8 +112,8 @@ case "$1" in
## signalling, do nothing (!)
# If it supports signalling:
- echo -n "Reload puppet services."
- killproc -HUP $puppetd
+ echo -n "Reload puppet services."
+ killproc -HUP $puppetd
rc_status -v
;;
status)
diff --git a/conf/suse/puppet.spec b/conf/suse/puppet.spec
index f1fa0ba2d..b7f7d6162 100644
--- a/conf/suse/puppet.spec
+++ b/conf/suse/puppet.spec
@@ -110,19 +110,19 @@ exit 0
%preun
if [ "$1" = 0 ] ; then
- /sbin/service puppet stop > /dev/null 2>&1
- /sbin/chkconfig --del puppet
+ /sbin/service puppet stop > /dev/null 2>&1
+ /sbin/chkconfig --del puppet
fi
%preun server
if [ "$1" = 0 ] ; then
- /sbin/service puppetmaster stop > /dev/null 2>&1
- /sbin/chkconfig --del puppetmaster
+ /sbin/service puppetmaster stop > /dev/null 2>&1
+ /sbin/chkconfig --del puppetmaster
fi
%postun server
if [ "$1" -ge 1 ]; then
- /sbin/service puppetmaster try-restart > /dev/null 2>&1
+ /sbin/service puppetmaster try-restart > /dev/null 2>&1
fi
%clean
diff --git a/conf/suse/server.init b/conf/suse/server.init
index 34200af88..36a310784 100644
--- a/conf/suse/server.init
+++ b/conf/suse/server.init
@@ -36,15 +36,15 @@ pidfile=/var/run/puppet/puppetmasterd.pid
[ -f /etc/rc.status ] && . /etc/rc.status
if [ -f /etc/sysconfig/puppetmaster ]; then
- . /etc/sysconfig/puppetmaster
+ . /etc/sysconfig/puppetmaster
fi
[ -z "$PUPPETMASTER_MANIFEST" ] && PUPPETMASTER_MANIFEST=/etc/puppet/manifests/site.pp
[ -z "$PUPPETMASTER_LOG" ] && PUPPETMASTER_LOG="/var/log/puppet/puppetmaster.log"
PUPPETMASTER_OPTS="
- --manifest=$PUPPETMASTER_MANIFEST \
- --logdest=${PUPPETMASTER_LOG} \
- ${PUPPETMASTER_EXTRA_OPTS}"
+ --manifest=$PUPPETMASTER_MANIFEST \
+ --logdest=${PUPPETMASTER_LOG} \
+ ${PUPPETMASTER_EXTRA_OPTS}"
PUPPET_OPTS=""
[ -n "${PUPPET_SERVER}" ] && PUPPET_OPTS="--server=${PUPPET_SERVER}"
[ -n "$PUPPET_LOG" ] && PUPPET_OPTS="${PUPPET_OPTS} --logdest=${PUPPET_LOG}"
@@ -54,10 +54,10 @@ prog=puppetmasterd
PUPPETMASTER=/usr/sbin/$prog
start() {
- echo -n $"Starting puppetmaster: "
+ echo -n $"Starting puppetmaster: "
- echo
- return $RETVAL
+ echo
+ return $RETVAL
}
# First reset status of this service
rc_reset
@@ -84,13 +84,13 @@ case "$1" in
# startproc should return 0, even if service is
# already running to match LSB spec.
- # Confirm the manifest exists
- if [ -r $PUPPETMASTER_MANIFEST ]; then
- startproc $PUPPETMASTER $PUPPETMASTER_OPTS && touch "$lockfile"
- else
- rc_failed
- echo "Manifest does not exist: $PUPPETMASTER_MANIFEST"
- fi
+ # Confirm the manifest exists
+ if [ -r $PUPPETMASTER_MANIFEST ]; then
+ startproc $PUPPETMASTER $PUPPETMASTER_OPTS && touch "$lockfile"
+ else
+ rc_failed
+ echo "Manifest does not exist: $PUPPETMASTER_MANIFEST"
+ fi
# Remember status and be verbose
rc_status -v
;;
@@ -136,8 +136,8 @@ case "$1" in
## signalling, do nothing (!)
# If it supports signalling:
- echo -n "Reload puppet services."
- killproc -HUP $PUPPETMASTER
+ echo -n "Reload puppet services."
+ killproc -HUP $PUPPETMASTER
rc_status -v
;;
status)